<?xml version="1.0" encoding="ISO-8859-1" ?>
<hackinfo>

	<step title="Welcome to the vBHosting 2.0 uninstaller">
		<outputline><![CDATA[Here you can uninstall vBHosting 2.0]]></outputline>
		<outputline><![CDATA[Please note that this will <strong>not</strong> remove any created forums or styles, however, after uninstalling vBHosing you will not be able to manage your current hosted forums even if you reinstall vBHosting.]]></outputline>
		<outputline><![CDATA[This can <strong>not</strong> be undone! Click 'Next' To continue.]]></outputline>
	</step>

	<step title="Template Edits">
		<outputline><![CDATA[Removing templates...]]></outputline>
		<startlist />
		<droptemplate styleid="-1" handler="vbhosting_create" />
		<droptemplate styleid="-1" handler="vbhosting_create_rules" />
		<droptemplate styleid="-1" handler="vbhosting_create_createforum" />
		<droptemplate styleid="-1" handler="vbhosting_create_docreateforum" />
		<endlist />
		<outputline><![CDATA[done.]]></outputline>
		<outputline><![CDATA[Altering templates...]]></outputline>
		<startlist />
		<altertemplate styleid="-1" handler="navbar">
			<find><![CDATA[<if condition="$vboptions['vbhosting_general_showinmenu']">
					<td id="vbhosting" class="vbmenu_control"><a href="$vboptions[vbhosting_create_scriptname]?$session[sessionurl]">$vbphrase[vbhosting_navbar_forumhosting]</a> <script type="text/javascript"> vbmenu_register("vbhosting"); </script></td>
				</if>
				<td id="navbar_search" class="vbmenu_control"><a href="search.php?$session[sessionurl]">$vbphrase[search]</a> <script type="text/javascript"> vbmenu_register("navbar_search"); </script></td>]]></find>
			<replace ifcontains="vbmenu_register(&quot;vbhosting&quot;)"><![CDATA[<td id="navbar_search" class="vbmenu_control"><a href="search.php?$session[sessionurl]">$vbphrase[search]</a> <script type="text/javascript"> vbmenu_register("navbar_search"); </script></td>]]></replace>
			<find><![CDATA[<td class="vbmenu_control"><a href="forumdisplay.php?$session[sessionurl]do=markread">$vbphrase[mark_forums_read]</a></td>
			<if condition="$vboptions['vbhosting_general_showinmenu']">			
				<td class="vbmenu_control"><a href="$vboptions[vbhosting_create_scriptname]?$session[sessionurl]">$vbphrase[vbhosting_navbar_gethosted]</a></td>
				<td class="vbmenu_control"><a href="$vboptions[vbhosting_admin_directory]/index.php?$session[sessionurl]">$vbphrase[vbhosting_navbar_admin]</a></td>
			</if>]]></find>
			<replace ifcontains="$vbphrase[vbhosting_navbar_admin]"><![CDATA[<td class="vbmenu_control"><a href="forumdisplay.php?$session[sessionurl]do=markread">$vbphrase[mark_forums_read]</a></td>]]></replace>
			<find><![CDATA[<!-- NAVBAR POPUP MENUS -->

	<if condition="$vboptions['vbhosting_general_showinmenu']">
	<div class="vbmenu_popup" id="vbhosting_menu" style="display:none">
		<table cellpadding="4" cellspacing="1" border="0">
		<tr><td class="thead">vBHosting 2.0</td></tr>		
		<tr><td class="vbmenu_option"><a href="$vboptions[vbhosting_create_scriptname]?$session[sessionurl]">$vbphrase[vbhosting_navbar_gethosted]</a></td></tr>
		<tr><td class="vbmenu_option"><a href="$vboptions[vbhosting_admin_directory]/index.php?$session[sessionurl]">$vbphrase[vbhosting_navbar_admin]</a></td></tr>
		</table>
	</div>
	</if>]]></find>
			<replace ifcontains="vBHosting 2.0"><![CDATA[<!-- NAVBAR POPUP MENUS -->]]></replace>
		</altertemplate>
		<altertemplate styleid="{PARSE}{$vboptions['vbhosting_create_parentstyle']}" handler="header">
			<find><![CDATA[<td align="$stylevar[left]"><a href="{hostedsiteurl}" target="_blank"><img src="$stylevar[titleimage]" border="0" alt="{hostedsitename}" /></a></td>]]></find>
			<replace ifcontains="{hostedsiteurl}"><![CDATA[<td align="$stylevar[left]"><a href="$vboptions[forumhome].php?$session[sessionurl]"><img src="$stylevar[titleimage]" border="0" alt="$vboptions[bbtitle]" /></a></td>]]></replace>
			<find><![CDATA[<a name="top"></a>
{headerinclude}]]></find>
			<replace ifcontains="{headerinclude}"><![CDATA[<a name="top"></a>]]></replace>
		</altertemplate>
		<altertemplate styleid="{PARSE}{$vboptions['vbhosting_create_parentstyle']}" handler="footer">
			<find><![CDATA[{footerinclude}

<if condition="$show['dst_correction']">]]></find>
			<replace ifcontains="{footerinclude}"><![CDATA[<if condition="$show['dst_correction']">]]></replace>
		</altertemplate>
		<endlist />
		<outputline><![CDATA[done.]]></outputline>
		<rebuildstyle styleid="-1" />
	</step>

	<step title="File Edits">
		<outputline>Please do the file edits below</outputline>
		<editfile filename="admincp/index.php">
			<find times="1"><![CDATA[	// ***
	construct_nav_option($vbphrase['vbhosting_admincp_reviewrequests'], 'vbhosting.php?do=requests');
	construct_nav_group('vBHosting 2.0');
	construct_nav_spacer();]]></find>
			<edit action="remove" />
		</editfile>
		<editfile filename="includes/adminfunctions_navpanel.php">
			<find times="1"><![CDATA[	global $_NAV, $_NAVPREFS, $groupid, $vboptions, $vbphrase, $nojs, $session, $hostedid;

	if (VB_AREA == 'HostingCP')
	{
		$controls = "<div align=\"center\"><a href=\"index.php?$session[sessionurl]hostedid=$hostedid&do=home\">$vbphrase[control_panel_home]</a><br /><a href=\"index.php?$session[sessionurl]\" target=\"_top\">$vbphrase[vbhosting_switch_to_another_forum]</a></div>";
	}
	else
	{
		$controls = "<div align=\"center\"><a href=\"index.php?$session[sessionurl]do=home\">$vbphrase[control_panel_home]</a></div>";
	}]]></find>
			<edit action="replace"><![CDATA[	global $_NAV, $_NAVPREFS, $groupid, $vboptions, $vbphrase, $nojs, $session;

	$controls = "<div align=\"center\"><a href=\"index.php?$session[sessionurl]do=home\">$vbphrase[control_panel_home]</a></div>";]]></edit>
		</editfile>
		<outputline>Now re-upload this files.</outputline>
	</step>

	<step title="Remove phrases">
		<outputline><![CDATA[Removing Phrase Groups...]]></outputline>
		<startlist />
		<dropphrasegroup handler="vbhosting_create" />
		<dropphrasegroup handler="vbhosting_hostingcp" />
		<dropphrasegroup handler="vbhosting_admincp" />
		<endlist />
		<outputline><![CDATA[done.]]></outputline>
		<outputline><![CDATA[Creating Phrases...]]></outputline>
		<startlist />
		<dropphrase group="global" handler="vbhosting_navbar_admin" />
		<dropphrase group="global" handler="vbhosting_navbar_forumhosting" />
		<dropphrase group="global" handler="vbhosting_navbar_gethosted" />
		<dropphrase group="cpglobal" handler="vbhosting_admincp_reviewrequests" />
		<endlist />
		<outputline><![CDATA[done.]]></outputline>
		<rebuildlanguage />
	</step>

	<step title="Remove settings">
		<outputline><![CDATA[Removing Setting Groups...]]></outputline>
		<startlist />
		<dropsettinggroup handler="vbhosting_general" />
		<dropsettinggroup handler="vbhosting_create" />
		<dropsettinggroup handler="vbhosting_admin" />
		<endlist />
		<outputline><![CDATA[done.]]></outputline>
		<outputline><![CDATA[Removing Settings...]]></outputline>
		<startlist />
		<dropsetting handler="vbhosting_version" />
		<endlist />
		<outputline type="endlist"><![CDATA[done.]]></outputline>
		<rebuildsettings />
	</step>

	<step title="Remove tables">
		<outputline><![CDATA[Creating Tables...]]></outputline>
		<startlist />
		<query description="Removing table {{{TABLE_PREFIX}}}vbhosting_administrator"><![CDATA[DROP TABLE {{{TABLE_PREFIX}}}vbhosting_administrator;]]></query>
		<query description="Removing table {{{TABLE_PREFIX}}}vbhosting_hosted"><![CDATA[DROP TABLE {{{TABLE_PREFIX}}}vbhosting_hosted;]]></query>
		<query description="Removing table {{{TABLE_PREFIX}}}vbhosting_hostingcplog"><![CDATA[DROP TABLE {{{TABLE_PREFIX}}}vbhosting_hostingcplog;]]></query>
		<query description="Removing table {{{TABLE_PREFIX}}}vbhosting_newforumqueue"><![CDATA[DROP TABLE {{{TABLE_PREFIX}}}vbhosting_newforumqueue;]]></query>
		<endlist />
		<outputline><![CDATA[done.]]></outputline>
	</step>

	<step title="Remove files">
		<outputline><![CDATA[You can now remove the following files:]]></outputline>
		<startlist />
		<outputline><![CDATA[./vbhosting.php]]></outputline>
		<outputline><![CDATA[./admincp/vbhosting.php]]></outputline>
		<outputline><![CDATA[./hostingcp/index.php]]></outputline>
		<outputline><![CDATA[./hostingcp/administrator.php]]></outputline>
		<outputline><![CDATA[./hostingcp/color.php]]></outputline>
		<outputline><![CDATA[./hostingcp/image.php]]></outputline>
		<outputline><![CDATA[./hostingcp/headerandfooter.php]]></outputline>
		<outputline><![CDATA[./hostingcp/global.php]]></outputline>
		<outputline><![CDATA[./includes/functions_vbhosting.php]]></outputline>
		<endlist />
	</step>

</hackinfo>